/*--------------------------------------------------------------------------------
HELLO.C

Zdrojovy kod programu vypisuje textovy retazec Hello World! na rozhranie UART1
(seriovu linku). Projekt vyuziva MCU STMicroelectronics STM32F103RB (32-bitove
jadrom ARM Cortex-M3).

Projekt predpoklada taktovanie MCU pomocou 8 MHz krystalu. Interne je
taktovacia frevencia pomocou PLL nasobena na maximalnu taktovaciu frekvenciu 72 MHz.
Pre tuto hodnotu je nastavena prenosova rychlost rozhrania UART1, ktore sa 
vyuzva na seriovu komunikaciu, na 115200 baudov.

Program je mozne skompilovat a spustit pomocou rozhrania uVision
(s nainstalovanou podporou pre C51).

Projekt vznikol upravou projektu:
C:\KEIL\ARM\Boards\Keil\MCBSTM32\Blinky
ktory je sucastou standardnej distribucie vyvojoveho nastroja MDK firmy ARM Keil.
Z projektu boli odstranene casti, ktore nesuvsia so seriovou linkou UART1. Projekt 
je mozne testovat v simulatore uVision a tiez na vyvojovej doske doske MCBSTM32.

2017-09-19, M.D.
--------------------------------------------------------------------------------*/

#include <stdio.h>
#include "STM32F10x.h"
#include "Serial.h"


/*----------------------------------------------------------------------------
  Hlavny program
 *----------------------------------------------------------------------------*/
int main (void) {

/* Inicializacia seriovej linky UART1 pre 115200 baudov @ 72 MHz	*/
  SER_Init();                                /* UART Initialization  */        
	
	while(1) {
      printf("Hello World!\n");
  }
}
